package game

import (
	"sirlab.de/go/knyt/user"
)

func (gm *Game) SaveSelection(usr *user.User, selection string) {
	gm.updateSelection(usr, selection)
	gm.notifyClients()
}

func (gm *Game) updateSelection(usr *user.User, selection string) {
	gm.mu.Lock()
	defer gm.mu.Unlock()

	gm.round.selection[usr.GetId()] = selection
}
